Send Feed Event

Allows your integration to send feed events to users in your organisation.

🚧

The 'external_id' field

The uniqueness of this field across all events the integration has sent is NOT enforced. If you send multiple feed events with the same external_id, it is undefined which event's event_id will be returned by the Get Event Id By External Id endpoint.

📘

The 'body' field

The body field when sending a feed event is a JSON object that must conform to the Blink CardKit spec. Find out how to build a CardKit card here.

📘

Sending feed events with Attachments or Images

If your feed event contains an attachment or image section, you can host your content on Blink rather than using external URLs. To do this you send your attachment when calling the Send Feed Event endpoint, click here to find out how.

Body Params
string
required

Id for the category of this feed post defined in the admin panel when setting up the integration.

string
required

The CardKit JSON for the feed event. CardKit JSON that determines how the event will appear in people's feeds. See below for more information.

user_ids
array of strings

Array of ids of users who will receive this feed event. At least one user_id or group_id is required for an event to be sent

user_ids
group_ids
array of strings

Array of ids of teams who will receive this feed event. At least one user_id or group_id is required for an event to be sent.

group_ids
string

A unique identifier for this event you can use to retrieve the event_id for the event using the Get Event Id By External Id endpoint.

string

Title of push notification to be send to devices of recipients of this event.

string

Body of push notification to be sent to devices of recipients of this event.

boolean
Defaults to false

Set to true to allow receiving users to comment on the feed event.

boolean
Defaults to false

Set to true to allow receiving users to react to the feed event.

organisation_employee_ids
object

Allows sending feed events to users who have the provided employee ids.

feature_schedule
object

Feature the post from/until a certain time

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json